[PC-BSD Commits] r1014 - pbibuild/modules/wormux/overlay-dir

svn at pcbsd.org svn at pcbsd.org
Thu Dec 13 14:52:45 PST 2007


Author: gonzalo
Date: 2007-12-13 14:52:45 -0800 (Thu, 13 Dec 2007)
New Revision: 1014

Modified:
   pbibuild/modules/wormux/overlay-dir/PBI.RemoveScript.sh
Log:
RemoveScript fixed/upgraded.

Modified: pbibuild/modules/wormux/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/wormux/overlay-dir/PBI.RemoveScript.sh	2007-12-13 22:50:56 UTC (rev 1013)
+++ pbibuild/modules/wormux/overlay-dir/PBI.RemoveScript.sh	2007-12-13 22:52:45 UTC (rev 1014)
@@ -18,15 +18,19 @@
   rm /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE}
 done
 
-cd /home 
- for i in `ls` 
- do 
-   if [ -d "/home/${i}/.wormux" ] 
-   then 
-     kdialog --title "Uninstalling Wormux" --yesno "Do you wish to erase Wormux's saved games and configuration files for user '${i}' as well?" 
-     if [ "$?" = "0" ] 
-     then 
-       rm -fR /home/${i}/.wormux
-     fi 
-   fi 
- done 
+if [ ! -z "$DISPLAY" ]
+then
+ # Ask if we want to remove the user profiles
+ kdialog --yesno "Do you want to remove Wormux user settings?" --title "Remove user settings"
+ if [ "$?" = "0" ]
+ then
+  cd /home
+  for i in `ls`
+  do
+   if [ -e "/home/${i}/.wormux" ]
+   then
+    rm -rf /home/${i}/.wormux
+   fi
+  done
+ fi
+fi



More information about the Commits mailing list